function [cost, gradient] = cost(theta, X, y)

m = length(y);

cost = 0;
gradient = zeros(size(theta));

for i=1:m
    cost=cost+(-y(i)*log(sigmoid(X(i,:)*theta))-(1-y(i))*log(1-sigmoid(X(i,:)*theta)));
    gradient=gradient+(sigmoid(X(i,:)*theta)-y(i))*X(i,:)';
end
cost=cost/m;
gradient=gradient/m;


end
