function [theta, costhistory] = gradientDescent(X, y, theta, alpha, n)

m = length(y); 
costhistory = zeros(n, 1);

for iter = 1:n

    grad=zeros(size(theta));
    for i=1:m
        grad=grad+(alpha/m)*(X(i,:)*theta-y(i))*X(i,:)';
    end
    theta=theta-grad;
  
    costhistory(iter) = cost(theta, X, y);

end

end
